package com.realnet.simple_notes_taking_20251009_044730-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.simple_notes_taking_20251009_044730-b.Entity.Notetakingwireframe;
import com.realnet.simple_notes_taking_20251009_044730-b.Services.NotetakingwireframeService ;








@RequestMapping(value = "/Notetakingwireframe")
 @CrossOrigin("*") 
@RestController
public class NotetakingwireframeController {
	@Autowired
	private NotetakingwireframeService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Notetakingwireframe")
		  public Notetakingwireframe Savedata(@RequestBody Notetakingwireframe data) {
		Notetakingwireframe save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Notetakingwireframe/{id}")
	public  Notetakingwireframe update(@RequestBody Notetakingwireframe data,@PathVariable Integer id ) {
		Notetakingwireframe update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Notetakingwireframe/getall/page")
	public Page<Notetakingwireframe> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Notetakingwireframe> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Notetakingwireframe")
	public List<Notetakingwireframe> getdetails() {
		 List<Notetakingwireframe> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Notetakingwireframe")
	public List<Notetakingwireframe> getallwioutsec() {
		 List<Notetakingwireframe> get = Service.getdetails();		
		return get;
}
@GetMapping("/Notetakingwireframe/{id}")
	public  Notetakingwireframe  getdetailsbyId(@PathVariable Integer id ) {
		Notetakingwireframe  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Notetakingwireframe/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}